更新測試套件
curl --request PUT \
--url https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"testCaseIds": [
{}
]
}
'import requests
url = "https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId}"
payload = {
"name": "<string>",
"testCaseIds": [{}]
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', testCaseIds: [{}]})
};
fetch('https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {}
}更新測試套件
依 ID 更新測試套件
PUT
/
v1
/
projects
/
{projectId}
/
test-suites
/
{testSuiteId}
更新測試套件
請求
PUT https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId}
路徑參數
專案 ID
測試套件 ID
標頭
使用您的 Developer Key 進行 Bearer 令牌認證
請求主體
測試套件更新後的名稱
更新後的測試案例 ID 陣列(會取代所有現有的關聯)
回應
更新後的測試套件物件。
範例
curl -X PUT https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId} \
-H "Authorization: Bearer dk_your_key" \
-H "Content-Type: application/json" \
-d '{
"name": "Updated regression suite",
"testCaseIds": ["test-case-uuid-1", "test-case-uuid-3"]
}'
{
"data": {
"id": "test-suite-uuid",
"projectId": "project-uuid",
"name": "Updated regression suite",
"testCases": [
{ "id": "test-case-uuid-1" },
{ "id": "test-case-uuid-3" }
],
"createdAt": "2026-03-23T00:00:00.000Z",
"updatedAt": "2026-03-23T00:00:00.000Z"
}
}
⌘I
